## dujour-version-check-clojure 0.2.2

=== debian/changelog ===
dujour-version-check-clojure (0.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #855736)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 05 Aug 2017 17:13:31 -0400
