=== debian/control ===
Source: dujour-version-check-clojure
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends:
 debhelper (>= 10),
 javahelper (>= 0.32),
 maven-repo-helper (>= 1.7),
 clojure (>= 1.8),
 libtools-logging-clojure,
 libprismatic-schema-clojure (>= 0.2.2),
 libpuppetlabs-http-client-clojure (>= 0.4.4),
 libring-codec-clojure (>= 1.0.0),
 libcheshire-clojure (>= 5.3.1),
 libversioneer-clojure (>= 0.1.0),
 libslingshot-clojure (>= 0.10.3),
 libtext-markdown-perl | markdown,
 default-jdk-headless
Standards-Version: 4.0.0
Vcs-Git: https://anonscm.debian.org/git/pkg-java/dujour-version-check-clojure.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/dujour-version-check-clojure.git
Homepage: https://github.com/puppetlabs/dujour-version-check

Package: libdujour-version-check-clojure
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends}
Recommends: ${java:Recommends}
Description: up-to-date version checking for Clojure
 dujour-version-check provides a simple way to perform version checks against
 an update server URL.
