## dujour-version-check-clojure 0.2.3

=== debian/changelog ===
dujour-version-check-clojure (0.2.3-1) unstable; urgency=medium

  * Team upload.
  * debian/rules: add code to manage upstream tags.
  * Switch the package to the Clojure team:
    - switch to git tag workflow.
    - change Maintainer: field.
    - change VCS URLs.
    - rework git repo from scratch.
  * New upstream release.
  * Switch to debhelper-compat.
  * Standards-Version: 4.5.0.
  * Build-Depends: remove versions when satisfied in Stable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Nov 2020 12:22:30 +0100
