=== debian/control ===
Source: dujour-version-check-clojure
Section: java
Priority: optional
Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Uploaders: Apollon Oikonomopoulos <apoikos@debian.org>
Build-Depends:
 debhelper-compat (= 10),
 javahelper,
 maven-repo-helper,
 clojure,
 libtools-logging-clojure,
 libprismatic-schema-clojure,
 libpuppetlabs-http-client-clojure,
 libring-codec-clojure,
 libcheshire-clojure,
 libversioneer-clojure,
 libslingshot-clojure,
 libtext-markdown-perl | markdown,
 default-jdk-headless
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/clojure-team/dujour-version-check.git
Vcs-Browser: https://salsa.debian.org/clojure-team/dujour-version-check
Homepage: https://github.com/puppetlabs/dujour-version-check

Package: libdujour-version-check-clojure
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends}
Recommends: ${java:Recommends}
Description: up-to-date version checking for Clojure
 dujour-version-check provides a simple way to perform version checks against
 an update server URL.
