=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,13 @@
 include /usr/share/javahelper/java-vars.mk
 
 MDWN_DOCS = $(patsubst %.md,%.html,$(wildcard $(CURDIR)/*.md))
+
+DEB_PKGNAME := $(shell dpkg-parsechangelog -SSource)
+DEB_VERSION := $(shell dpkg-parsechangelog -SVersion)
+DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
+DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
+GIT_TAG := $(shell echo '$(DEB_UPSTREAM_VERSION)' | sed -e 's/~/_/')
+UPSTREAM_GIT = https://github.com/puppetlabs/dujour-version-check
 
 PRODUCED_JAR=dujour-version-check.jar
 export CLASSPATH=/usr/share/java/clojure.jar:/usr/share/java/tools.logging.jar:/usr/share/java/prismatic-schema.jar:/usr/share/java/puppetlabs-http-client.jar:/usr/share/java/ring-codec.jar:/usr/share/java/cheshire.jar:/usr/share/java/versioneer.jar:/usr/share/java/slingshot.jar
@@ -27,3 +34,19 @@
 	sed -i'' -e 's#@TITLE@#$(shell head -n 1 $< | sed 's/^#*\s*//')#g' $@
 	markdown $< >> $@
 	cat debian/footer.html >> $@
+
+gen-orig-xz:
+	git tag -v $(GIT_TAG) || true
+	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ] ; then \
+		git archive --prefix=$(DEB_PKGNAME)-$(DEB_UPSTREAM_VERSION)/ $(GIT_TAG) | xz >../$(DEB_PKGNAME)_$(DEB_UPSTREAM_VERSION).orig.tar.xz ; \
+		mkdir -p ../build-area ; \
+		cp ../$(DEB_PKGNAME)_$(DEB_UPSTREAM_VERSION).orig.tar.xz ../build-area ; \
+	fi
+
+fetch-upstream-remote:
+ifeq (,$(findstring https:,$(UPSTREAM_GIT)))
+	$(error Using insecure proto in UPSTREAM_GIT: $(UPSTREAM_GIT))
+endif
+	git remote add upstream $(UPSTREAM_GIT) || true
+	git remote set-url upstream $(UPSTREAM_GIT)
+	git fetch upstream
