=== debian/watch ===
version=4
opts=filenamemangle=s!.*/archive/(.*)!dujour-version-check-$1! \
 https://github.com/puppetlabs/dujour-version-check/releases	.*/archive/([\d.]+)\.tar\.gz
